Package org.bukkit.event.entity

# Class PotionSplashEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.ProjectileHitEvent
org.bukkit.event.entity.PotionSplashEvent

All Implemented Interfaces:
  `Cancellable`

public class PotionSplashEvent extends ProjectileHitEvent implements Cancellable
Called when a splash potion hits an area

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`PotionSplashEvent(@NotNull ThrownPotion potion, @NotNull Map<LivingEntity,Double> affectedEntities)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Collection<LivingEntity>`
`getAffectedEntities()`
Retrieves a list of all effected entities
`@NotNull ThrownPotion`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`double`
`getIntensity(@NotNull LivingEntity entity)`
Gets the intensity of the potion's effects for given entity; This depends on the distance to the impact center
`@NotNull ThrownPotion`
`getPotion()`
Gets the potion which caused this event
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Whether to cancel the action that occurs when the projectile hits.
`void`
`setIntensity(@NotNull LivingEntity entity, double intensity)`
Overwrites the intensity for a given entity

### Methods inherited from class org.bukkit.event.entity.ProjectileHitEvent

`getHitBlock, getHitBlockFace, getHitEntity`

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PotionSplashEvent

public PotionSplashEvent(@NotNull @NotNull ThrownPotion potion, @NotNull @NotNull Map<LivingEntity,Double> affectedEntities)

## Method Details

### getEntity

@NotNull public @NotNull ThrownPotion getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `ProjectileHitEvent`
Returns:
  Entity who is involved in this event

### getPotion

@NotNull public @NotNull ThrownPotion getPotion()
Gets the potion which caused this event

Returns:
  The thrown potion entity

### getAffectedEntities

@NotNull public @NotNull Collection<LivingEntity> getAffectedEntities()
Retrieves a list of all effected entities

Returns:
  A fresh copy of the affected entity list

### getIntensity

public double getIntensity(@NotNull @NotNull LivingEntity entity)
Gets the intensity of the potion's effects for given entity; This depends on the distance to the impact center

Parameters:
  `entity` - Which entity to get intensity for
Returns:
  intensity relative to maximum effect; 0.0: not affected; 1.0: fully hit by potion effects

### setIntensity

public void setIntensity(@NotNull @NotNull LivingEntity entity, double intensity)
Overwrites the intensity for a given entity

Parameters:
  `entity` - For which entity to define a new intensity
  `intensity` - relative to maximum effect

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Overrides:
  `isCancelled` in class `ProjectileHitEvent`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from class: `ProjectileHitEvent`
Whether to cancel the action that occurs when the projectile hits. In the case of an entity, it will not collide (unless it's a firework, then use `FireworkExplodeEvent`).
In the case of a block, some blocks (eg target block, bell) will not perform the action associated.
This does NOT prevent block collisions, and explosions will still occur unless their respective events are cancelled.

Specified by:
  `setCancelled` in interface `Cancellable`
Overrides:
  `setCancelled` in class `ProjectileHitEvent`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Overrides:
  `getHandlers` in class `ProjectileHitEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()